<?php
rg_log("FILE: /inc/user/pass/pass");

$errmsg = array();

$_pass = "";

$old_pass = rg_var_str("old_pass");
$pass1 = rg_var_str("pass1");
$pass2 = rg_var_str("pass2");

$show_form = 1;
while (1) {
	if ($rg['doit'] != 1)
		break;

	if (!rg_valid_referer()) {
		$errmsg[] = "invalid referer; try again";
		break;
	}

	if (!rg_token_valid($db, $rg, FALSE)) {
		$errmsg[] = "invalid token; try again";
		break;
	}

	if (strcmp($pass1, $pass2) != 0) {
		$errmsg[] = "passwords does not match";
		break;
	}

	if (!rg_user_pass_valid($db, $rg['login_ui']['uid'], $old_pass)) {
		$errmsg[] = "old password is invalid";
		break;
	}

	if (!rg_user_set_pass($db, $rg['login_ui']['uid'], $pass1)) {
		$errmsg[] = rg_user_error();
		break;
	}

	$_pass .= rg_template("user/pass_changed.html", $rg);
	$show_form = 0;
	break;
}

if ($show_form == 1) {
	$rg['HTML:errmsg'] = rg_template_errmsg($errmsg);
	$rg['rg_form_token'] = rg_token_get($db, $rg);
	$rg['old_pass'] = $old_pass;
	$rg['pass1'] = $pass1;
	$rg['pass2'] = $pass2;

	$_pass .= rg_template("user/pass.html", $rg);
}

?>
