#!/bin/bash

# This is a wrapper just to correctly transition to rocketgit_t

. /usr/share/rocketgit/scripts/common.sh

check_context

exec 100<>/var/lib/rocketgit/locks/q.sh.lock

flock --exclusive --nonblock 100
if [ "${?}" != "0" ]; then
	exit 0
fi

while [ 1 ]; do
	php /usr/share/rocketgit/scripts/q.php

	# in case of errors, we will wait, to not go into an infinite loop
	if [ "${?}" != "0" ]; then
		sleep 10
	fi
done

flock --unlock 100
