<?php
error_reporting(E_ALL | E_STRICT);
ini_set("track_errors", "On");

$INC = dirname(__FILE__) . "/../inc";
require_once(dirname(__FILE__) . "/config.php");
require_once($INC . "/init.inc.php");
require_once($INC . "/util.inc.php");
require_once($INC . "/log.inc.php");
require_once($INC . "/prof.inc.php");

rg_log_set_file("prof.log");

$rg_no_db = TRUE;
require_once("common.php");

rg_prof_start("label1");
sleep(.1);
rg_prof_set(array("xxx" => 1));
rg_prof_end("label1");
$t = rg_prof_get();
if (!isset($t['label1'])) {
	print_r($t);
	echo "Profiling for label 1 is not present!\n";
	exit(1);
}

rg_prof_start("label2");
sleep(1);
rg_prof_start("label2");
sleep(1);
rg_prof_end("label2");
rg_prof_end("label2");
$t = rg_prof_get();
if (($t['label2']['time_ms'] < 1800) || ($t['label2']['time_ms'] > 2200)) {
	print_r($t);
	echo "Nested profiling is not working (time_ms)\n";
	exit(1);
}
if ($t['label2']['runs'] != 2) {
	print_r($t);
	echo "Nested profiling is not working (runs)\n";
	exit(1);
}

echo "prof: OK!\n";
?>
