<?php
rg_log("FILE: /inc/user/keys/keys");

$add_errmsg = array();
$del_errmsg = array();

$_keys = "";

$key = rg_var_str("key");
// TODO: should we accept UTF-8 chars?
$key = preg_replace("|[^/A-Za-z0-9 @/+_\.\=,-]|", "", $key);
$key_id = rg_var_uint("key_id");
$key_delete_ids = rg_var_str("key_delete_ids");

// menu
$_url = rg_re_url($sparas);

$rg['HTML:status'] = "";

if (rg_var_uint("add") == 1) {
	while (1) {
		if (!rg_valid_referer()) {
			$add_errmsg[] = "invalid referer; try again";
			break;
		}

		if (!rg_token_valid($db, $rg, FALSE)) {
			$add_errmsg[] = "Invalid token. Try again.";
			break;
		}

		$_r = rg_keys_add($db, $rg['login_ui'], $key);
		if ($_r === FALSE)
			$add_errmsg[] = rg_keys_error();
		break;
	}
} else if (rg_var_uint("delete") == 1) {
	while (1) {
		if (!rg_valid_referer()) {
			$del_errmsg[] = "invalid referer; try again";
			break;
		}

		if (!rg_token_valid($db, $rg, FALSE)) {
			$del_errmsg[] = "Invalid token. Try again.";
			break;
		}

		if (empty($key_delete_ids)) {
			$del_errmsg[] = "No key selected.";
			break;
		}

		if (rg_keys_remove($db, $rg['login_ui'], $key_delete_ids) !== TRUE) {
			$del_errmsg[] = rg_keys_error();
			break;
		}

		$rg['HTML:status'] = rg_template("user/keys/remove_ok.html", $rg);
		break;
	}
}

$rg['HTML:add_errmsg'] = rg_template_errmsg($add_errmsg);
$rg['HTML:del_errmsg'] = rg_template_errmsg($del_errmsg);

$rg['HTML:add_form'] = rg_template("user/keys/add.html", $rg);

$keys_list = rg_keys_list($db, $rg['login_ui']);
if ($keys_list === FALSE)
	$rg['HTML:keys'] = rg_warning("Could not load keys. Try later."); // TODO
else
	$rg['HTML:keys'] = rg_template_table("user/keys/list", $keys_list, $rg);

$hints = array();
if ($rg_ssh_port != 0)
	$hints[]['HTML:hint'] = rg_template("hints/ssh/key.html", $rg);
$rg['HTML:hints'] = rg_template_table("hints/list", $hints, $rg);

$rg['rg_form_token'] = rg_token_get($db, $rg);
$rg['key'] = $key;

$_keys = rg_template("user/keys/main.html", $rg);
?>
